#!/usr/bin/env fish
rm -r resource/
mkdir resource
cd resource/
mkdir all all-std #active recent
wget -qO all/all https://www.arkko.com/tools/rfcauthors.txt
tail -n +5 all/all | sponge all/all
# wget -qO active/active https://www.arkko.com/tools/idauthors.txt
# tail -n +5 active/active
# wget -qO recent/recent https://www.arkko.com/tools/recrfcauthors.txt
# tail -n +5 recent/recent
mkdir standards/
cd standards/
rm -r *
for case in Any #Proposed+Standard Draft+Standard Internet+Standard
	set caseDir (string replace '+Standard' '' $case)
	mkdir $caseDir
	cd $caseDir
	wget -qO rfc_editor_site.html "https://www.rfc-editor.org/search/rfc_search_detail.php?page=All&pubstatus[]=Standards%20Track&std_trk=$case&pub_date_type=any&sortkey=Number&sorting=ASC"
	rg --only-matching --no-line-number 'RFC&nbsp;\d{1,4}' rfc_editor_site.html > matches
	sed -E 's/&nbsp;//;s/RFC/rfc/;s/([[:digit:]]+)/000&/g;s/0+([[:digit:]]{4})/\1/g' matches > sanitized_matches
	sort -u sanitized_matches > standards
	sed -i 's/rfc0*/rfc/' standards
	cd ..
end
cd ..
rg -f standards/Any/standards all/all > all-std/all-std
