#!/usr/bin/env fish
rm -r out
for rfc_case in all all-std
	cd resource/$rfc_case
	rm *.csv
	../../analysis.py --filter 5 $rfc_case
	cd ../../
	for distribution in 1 5 10 50 100
		for plot_type in '' -company -company-quota
			for span in sum yearly monthly
				./plotbuild.py ./resource/$rfc_case/$span-clean$plot_type.csv --classinterval $distribution
			end
		end
		./plotbuild.py ./resource/$rfc_case/company.csv --classinterval $distribution
	end
	for plot_type in '' -company
		./sums.py ./resource/$rfc_case/sum-clean$plot_type.csv
	end
	./histogram.py ./resource/$rfc_case/sum-clean-company-quota.csv --step 0.02
	./histogram.py ./out/$rfc_case/monthly-clean/occurence_quota.csv --step 0.08
end
for plot_type in '' -company
	for span in sum yearly monthly
		./std-quotas.py ./resource/all/$span-clean$plot_type.csv ./resource/all-std/$span-clean$plot_type.csv
	end
	./histogram.py ./out/sum-clean$plot_type/std-quota.csv
end
./scatterplot.py ./out/all/yearly-clean/occurence_quota.csv ./out/sum-clean/std-quota.csv ./out/all/sum-clean/share.csv ./colors.csv
