#!/usr/bin/env python3

import csv
import sys

from os import access, R_OK, makedirs
from os.path import isfile


# check input
case = ''
if not sys.argv[1]:
    print('sums.py: ERR: No input given, returning')
    sys.exit(1)
elif len(sys.argv) < 2:
    print('sums.py: ERR: too much input, returning')
    sys.exit(1)
elif len(sys.argv) > 2:
    print('sums.py: ERR: too much input, returning')
    sys.exit(1)
elif isfile(sys.argv[1]) and access(sys.argv[1], R_OK):
    inFile = sys.argv[1]
else:
    print('sums.py: ERR: Could not read input, returning\n\t' + sys.argv[1])
    sys.exit(1)

outDir = 'out/' + inFile.split('/')[-2] + '/' + inFile.split('/')[-1][:len(inFile.split('/')[-1]) - 4]
makedirs(outDir, exist_ok=True)

countries = dict()

with open(inFile, 'r') as FILE:
    reader = csv.DictReader(FILE)
    for row in reader:
        if row['country'] == 'std':
            continue
        countries[row['country']] = int(row['amount'])

with open(outDir + '/share.csv', 'w') as outFile:
    total = countries['sum']
    countries.pop('sum')
    outFile.write('country,share\n')
    for country, val in countries.items():
        outFile.write(country + ',' + str(val/total) + '\n')
